%define __libtoolize    /bin/true
%define cvsdate		20040811

%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %mklibname yzis %lib_major

Summary: 		Yzis
Name: 			yzis
Version: 		0.%cvsdate
Release: 		3mdk
Source: 		%{name}_%{cvsdate}-1.tar.bz2
Group: 			Graphical desktop/KDE
License: 		GPL
URL: 			ftp://download.yzis.org/yzis/releases
BuildRoot: 		%_tmppath/%name-%version

BuildRequires: 		kdelibs-devel, qt3-devel, arts, jpeg-devel, png-devel kdebase-devel
Buildrequires:		arts-devel, liblua5-devel

Requires: 		arts, kdebase


%description
Yzis already contains a KDE and a NCurses GUI frontend. The vi-engine
is available as a KDE component (kpart), usable in Quanta, KDevelop. 
Yzis is however not tied to KDE and could be used in other
environments (Gnome, windows, ...)


%package -n %lib_name-devel
Summary:	Header files for yzis
Group:		Development/KDE and Qt
Requires:	%lib_name = %version-%release

%description -n %lib_name-devel
Headers files for ksim program.



%package -n %lib_name
Summary:	Librarie files for yzis
Group:		Development/KDE and Qt

%description -n %lib_name
Libraries files for yzis.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n%{name}-%cvsdate


%build
make -f admin/Makefile.common
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
	%configure --datadir=%_datadir \
        		--disable-rpath \
        		--disable-debug


%make

%install
%makeinstall 


install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Text Tools" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kyzis.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%files -n %lib_name
%defattr(-,root,root)
%_libdir/kde3/*.la
%_libdir/kde3/*.so

%_libdir/*.so.*
%_libdir/*.la


%files -n %lib_name-devel
%defattr(-,root,root)
%_libdir/*.so



%files
%defattr(-,root,root)
%doc README RELEASE TODO HACKING BUGS ChangeLog
%doc AUTHORS   
%_bindir/*

%_menudir/*

%_datadir/applnk/Utilities/kyzis.desktop

%dir %_datadir/apps/kyzis/
%_datadir/apps/kyzis/*.rc
%dir %_datadir/apps/kyzispart/
%_datadir/apps/kyzispart/*.rc

%dir %_datadir/yzis/
%_datadir/yzis/*.mime
%dir %_datadir/yzis/scripts/
%_datadir/yzis/scripts/*.lua


%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/kyzis.kcfg

%_datadir/icons/crystalsvg/128x128/apps/kyzis.png
%_datadir/icons/crystalsvg/16x16/apps/kyzis.png
%_datadir/icons/crystalsvg/32x32/apps/kyzis.png
%_datadir/icons/crystalsvg/64x64/apps/kyzis.png

%_datadir/services/kyzispart.desktop

%dir %_datadir/yzis/locale/
%_datadir/yzis/locale/*.qm

%dir %_datadir/yzis/syntax/
%_datadir/yzis/syntax/*.xml
%_datadir/yzis/syntax/*.dtd
%_datadir/yzis/syntax/*.template



%changelog
* Sat Sep 04 2004 Michael Scherer <misc@mandrake.org> 0.20040811-3mdk 
- [DIRM]
- doc added

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040811-2mdk
- Rebuild to correct "headerRead failed: hdr size(16): BAD, read returned 0"

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040811-1mdk
- new version

* Mon Jul 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040705-1mdk
- New version

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040613-1mdk
- New version

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040503-2mdk
- Fix menu entry

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040503-1mdk
- New version

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040420-1mdk
- First package

